#include <stdlib.h>
#include <conio.h>
#include <stdio.h>

typedef struct ssnodo{
int valor;
struct ssnodo *sig;
}snodo;

typedef snodo *tipolista;
/************************************************/
/* prototipo */
tipolista lista_vacia(); /* inicializa lista */
int es_lista_vacia(tipolista);  /* devuelve un 0 si la lista no esta vacia y un 1 si esta vacia */

/*************************************************/
tipolista lista_vacia() /* inicializa lista */
{
tipolista aux;

aux=NULL;

return (aux);
}
/**************************************************/

int es_lista_vacia(tipolista aux) /* devuelve 1 si esta vacia y 0 sino lo esta */
{
int vale;

if (aux==NULL)
	vale=1;
else
	vale=0;


 return(vale);
}
/**** funcion principal ****/
void main()
{

tipolista lista;

lista=lista_vacia();
if (es_lista_vacia(lista)==1)

  printf ("\n la lista esta vacia");
else
  printf ("\n la lista no esta vacia");






}

